# Form implementation generated from reading ui file 'src/eric7/DataViews/PyCoverageHtmlReportDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_PyCoverageHtmlReportDialog(object):
    def setupUi(self, PyCoverageHtmlReportDialog):
        PyCoverageHtmlReportDialog.setObjectName("PyCoverageHtmlReportDialog")
        PyCoverageHtmlReportDialog.resize(500, 154)
        PyCoverageHtmlReportDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(PyCoverageHtmlReportDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=PyCoverageHtmlReportDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.extraCssPicker = EricPathPicker(parent=PyCoverageHtmlReportDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.extraCssPicker.sizePolicy().hasHeightForWidth())
        self.extraCssPicker.setSizePolicy(sizePolicy)
        self.extraCssPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.extraCssPicker.setObjectName("extraCssPicker")
        self.gridLayout.addWidget(self.extraCssPicker, 2, 1, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=PyCoverageHtmlReportDialog)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 2, 0, 1, 1)
        self.titleEdit = QtWidgets.QLineEdit(parent=PyCoverageHtmlReportDialog)
        self.titleEdit.setObjectName("titleEdit")
        self.gridLayout.addWidget(self.titleEdit, 0, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=PyCoverageHtmlReportDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.outputDirectoryPicker = EricPathPicker(parent=PyCoverageHtmlReportDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.outputDirectoryPicker.sizePolicy().hasHeightForWidth())
        self.outputDirectoryPicker.setSizePolicy(sizePolicy)
        self.outputDirectoryPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.outputDirectoryPicker.setObjectName("outputDirectoryPicker")
        self.gridLayout.addWidget(self.outputDirectoryPicker, 1, 1, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=PyCoverageHtmlReportDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 4, 0, 1, 2)
        self.openReportCheckBox = QtWidgets.QCheckBox(parent=PyCoverageHtmlReportDialog)
        self.openReportCheckBox.setChecked(True)
        self.openReportCheckBox.setObjectName("openReportCheckBox")
        self.gridLayout.addWidget(self.openReportCheckBox, 3, 0, 1, 2)

        self.retranslateUi(PyCoverageHtmlReportDialog)
        self.buttonBox.accepted.connect(PyCoverageHtmlReportDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(PyCoverageHtmlReportDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(PyCoverageHtmlReportDialog)
        PyCoverageHtmlReportDialog.setTabOrder(self.titleEdit, self.outputDirectoryPicker)
        PyCoverageHtmlReportDialog.setTabOrder(self.outputDirectoryPicker, self.extraCssPicker)

    def retranslateUi(self, PyCoverageHtmlReportDialog):
        _translate = QtCore.QCoreApplication.translate
        PyCoverageHtmlReportDialog.setWindowTitle(_translate("PyCoverageHtmlReportDialog", "HTML Report"))
        self.label.setText(_translate("PyCoverageHtmlReportDialog", "Title:"))
        self.extraCssPicker.setToolTip(_translate("PyCoverageHtmlReportDialog", "Enter the path of a file containing additional CSS definitions"))
        self.label_3.setText(_translate("PyCoverageHtmlReportDialog", "Extra CSS:"))
        self.titleEdit.setToolTip(_translate("PyCoverageHtmlReportDialog", "Enter the title for the HTML report"))
        self.label_2.setText(_translate("PyCoverageHtmlReportDialog", "Output Directory:"))
        self.outputDirectoryPicker.setToolTip(_translate("PyCoverageHtmlReportDialog", "Enter the path of the output directory"))
        self.openReportCheckBox.setToolTip(_translate("PyCoverageHtmlReportDialog", "Select to open the generated report"))
        self.openReportCheckBox.setText(_translate("PyCoverageHtmlReportDialog", "Open Report"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
